# pandas.HDFStore.put

`HDFStore.``put`(key, value, format=None, append=False, **kwargs)

  Store object in HDFStore

  Parameters:

  key : object

  value : {Series, DataFrame}

  format : ‘fixed(f)|table(t)’, default is ‘fixed’

  > fixed(f) : Fixed format

  >   Fast writing/reading. Not-appendable, nor searchable

  > table(t) : Table format

  >   Write as a PyTables Table structure which may perform worse but allow more flexible operations like searching / selecting subsets of the data

  append : boolean, default False

  > This will force Table format, append the input data to the existing.

  data_columns : list of columns to create as data columns, or True to

  > use all columns. See here.

  encoding : default None, provide an encoding for strings

  dropna : boolean, default False, do not write an ALL nan row to

  > the store settable by the option ‘io.hdf.dropna_table’

Scroll To Top